# should be etch or lenny but dockerhub doesn't have such old versions
FROM debian:squeeze

RUN echo "deb http://archive.debian.org/debian squeeze main" > /etc/apt/sources.list ; \
    apt-get -o=Acquire::AllowInsecureRepositories=true update \
    && DEBIAN_FRONTEND=noninteractive \
    apt-get -o=APT::Get::AllowUnauthenticated=true install -y --no-install-recommends \
    gnupg \
    libdevice-serialport-perl \
    libdigest-sha-perl \
    libfile-counterfile-perl \
    libreadonly-perl \
    openssl \
    perl \
    socat \
    xdelta \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

COPY cacert-software/CommModule/server.pl \
     cacert-software/CommModule/logclean.sh \
     /srv/CommModule/
COPY docker/run-signer usr/local/bin/
COPY docker/signer-config/* /srv/caconfig/

COPY testca /srv/testca/

VOLUME /srv/ca

CMD ["/usr/local/bin/run-signer"]
